#include "lc_persistent_t.h"
#include "LC_User_ToTest.h"

ISC_NSP_BEGIN

wchar_t LC_User_ToTest::__srv_cl_name[] = L"User.ToTest";
int LC_User_ToTest::__class_num;
int LC_User_ToTest::__get_class_num()
{
   if (__class_num)
      return __class_num;
   else
      return set_class_num(__class_num);
}

lc_d_ref<LC_User_ToTest> LC_User_ToTest::reopen_as_subclass(Database *db, const char *ident, bool id_is_uni, int concurrency, int timeout, Db_err *err)
{
   lc_d_ref<LC_User_ToTest>res;
   int rc = reopen_best_match_subclass(db, dynamic_cast<abs_d_ref* >(&res), this, (const char *)ident, id_is_uni, concurrency, timeout, err);
   if (!rc)
      res = lc_d_ref<LC_User_ToTest>(this);
   if (rc < 1)
      res->update_allowed(false);
   return res;
}

ISC_NSP_END